%define	name	xlockmore
%define	version	5.22
%define release	%mkrel 5
%define	enable_matrix	0

# Allow --with[out] <feature> at rpm command line build
%{?_without_matrix: %{expand: %%define enable_matrix 0}}
%{?_with_matrix: %{expand: %%define enable_matrix 1}}


Name: 		%{name}
Summary:	An X terminal locking program
Version: 5.23
Release: %mkrel 1
License:	MIT
Group:		Graphical desktop/Other
Url:		http://www.tux.org/~bagleyd/xlockmore.html
Source:		ftp://ftp.tux.org/pub/tux/bagleyd/xlockmore/%{name}-%{version}.tar.bz2
Source1:	xlock.pamd
Patch0:		xlockmore-5.22-soundpath.patch
# Disable the matrix screensaver
Patch1:		xlockmore-5.22-matrix.patch
Patch3:		xlockmore-5.19-include_ftgl_path.patch
Requires:	pam >= 0.59 
Requires:	fortune-mod
Requires:	%{_sysconfdir}/pam.d/system-auth
BuildRequires: esound-devel 
BuildRequires: gtk+2-devel
BuildRequires: mesa-common-devel 
BuildRequires: pam-devel 
BuildRequires: X11-devel 
BuildRequires: xpm-devel 
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%package gtk2
Summary:	A GTK2 front-end to xlockmore
Url:            http://www.tux.org/~bagleyd/xlockmore.html
Group:          Graphical desktop/Other
License:	MIT
Requires:	xlockmore

%description gtk2
A GTK2 front-end to xlockmore

%prep
%setup -q
%patch0 -p1 -b .soundpath
%if !%enable_matrix
%patch1 -p0 -b .matrix
%endif
%patch3 -p1 -b .include_ftgl_path

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" %configure2_5x 	--without-motif \
					--with-gtk2 \
					--without-gtk \
					--enable-pam \
					--enable-appdefaultdir=%{_sysconfdir}/X11/app-defaults
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sounds/xlockmore

perl -p -i -e 's/-o root//g' Makefile */Makefile
%makeinstall

install -m644 xlock/xlock.man -D $RPM_BUILD_ROOT%{_mandir}/man1/xlock.1
install -m644 xlock/XLock.ad -D $RPM_BUILD_ROOT%{_sysconfdir}/X11/app-defaults/XLock
install -m644 %SOURCE1 -D $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/xlock

cp sounds/*.au $RPM_BUILD_ROOT%{_datadir}/sounds/xlockmore
rm -rf $RPM_BUILD_ROOT%{_mandir}/xlock.1*
chmod 755 $RPM_BUILD_ROOT%{_bindir}/xlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%config(noreplace) %{_sysconfdir}/pam.d/*

%files gtk2
%defattr(-,root,root)
%{_bindir}/xglock
%{_datadir}/xlock




%changelog
* Thu Jun 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 5.23-1mdv2008.0
+ Revision: 42343
- New upstream release: 5.23


* Tue Mar 06 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 5.22-5mdv2007.0
+ Revision: 133664
- fix the path to look for app-defaults (#23242)
- fix the path to look for sounds (#17792)

* Sat Feb 10 2007 Michael Scherer <misc@mandriva.org> 5.22-4mdv2007.1
+ Revision: 118678
- do not use pam_stack
- bunzip patchs

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.22-3mdv2007.1
+ Revision: 101842
- fix build

* Thu Aug 31 2006 Antonio Hobmeir Neto <neto@mandriva.com> 5.22-2mdv2007.0
+ Revision: 58917
- Add a symlink to /usr/lib/X11/app-default/XLock (#23242)
- Add missing build requires for gtk+2-devel

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Import xlockmore

* Wed Jun 28 2006 Eskild Hustvedt <eskild@mandriva.org> 5.22-1mdv
- New version 5.22
- Dropped patch2 - merged upstream
- Rediffed patch1
- Now compiles the gtk2 front-end, found in the -gtk2 subpackage

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.19-3mdk
- Rebuild

* Wed Aug 17 2005 Samir Bellabes <sbellabes@mandriva.com> 5.19-2mdk
- Use workaround for pam problem (same as for Gentoo) (bug #17504)
- fix bad path for including FTGL's header
- And it should be a good idea to test package before uploading, next time

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 5.19-1mdk
- new release

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 5.18-1mdk
- new release from Crispin Boylan
- %%mkrel

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 5.11-2mdk
- rebuild for new g++

